diff options
| author | Chris Rebert <[email protected]> | 2014-08-15 10:43:40 -0700 |
|---|---|---|
| committer | Chris Rebert <[email protected]> | 2014-08-15 10:43:40 -0700 |
| commit | c8f1dd7e9768b2d8b4317ba60abbf7d38959b941 (patch) | |
| tree | 3e5d65b9c62f3079127fc2000b570819f3867550 | |
| parent | 32aa9b24a139f712c4231d60077880fa7c1fff49 (diff) | |
| parent | ff18f380d50ef5c0a0e948804a2e2f1e7c3d616c (diff) | |
| download | bootstrap-c8f1dd7e9768b2d8b4317ba60abbf7d38959b941.tar.xz bootstrap-c8f1dd7e9768b2d8b4317ba60abbf7d38959b941.zip | |
Merge pull request #14396 from twbs/retry-npm
Add retries to uncached-npm-install.sh
| -rwxr-xr-x | test-infra/uncached-npm-install.sh | 11 |
1 files changed, 10 insertions, 1 deletions
diff --git a/test-infra/uncached-npm-install.sh b/test-infra/uncached-npm-install.sh index 7c728aa64..a2d41445d 100755 --- a/test-infra/uncached-npm-install.sh +++ b/test-infra/uncached-npm-install.sh @@ -2,5 +2,14 @@ set -e cd .. # /bootstrap/ cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json -npm install +# npm is flaky, so try multiple times +MAXTRIES=3 +TRIES=1 +while ! npm install; do + if [ $TRIES -ge $MAXTRIES ]; then + exit 1 + fi + TRIES=$(($TRIES + 1)) + echo "Retrying npm install (Try $TRIES of $MAXTRIES)..." +done rm npm-shrinkwrap.json |
